## Apache Zeta Components Manual :: Docs For Class ezcWebdavBasicAuthenticator

### Webdav::ezcWebdavBasicAuthenticator

### Interface ezcWebdavBasicAuthenticator

Interface for Basic authentication mechanism.

This interface must be implemented by objects that provide authentication through a username/password combination, as defined by the HTTP Basic authentication method.

An instance of a class implementing this interface may be used in the ezcWebdavServer $auth property. The WebDAV server will then use this instance to perform authentication. In addition, classes may implement ezcWebdavDigestAuthenticator and are highly recommended to do so.

Source for this file: /Webdav/src/interfaces/basic_authenticator.php

    ezcWebdavAnonymousAuthenticator
       |
       --ezcWebdavBasicAuthenticator

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavDigestAuthenticator | Interface for Digest authentication mechanism.

### Method Summary

public bool | `authenticateBasic( $data )` Checks authentication for the given $user.

### Inherited Methods

From ezcWebdavAnonymousAuthenticator
public bool | `ezcWebdavAnonymousAuthenticator::authenticateAnonymous()` Checks authentication for the anonymous user.

### Methods

#### authenticateBasic

bool authenticateBasic( ezcWebdavBasicAuth $data )

Checks authentication for the given $user.

This method checks the given user/password credentials encapsulated in $data. Returns true if the user was succesfully recognized and the password is valid for him, false otherwise. In case no username and/or password was provided in the request, empty strings are provided as the parameters of this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | ezcWebdavBasicAuth |

Documentation generated by phpDocumentor 1.4.3